﻿Public Class GridPagerPropertyDefaults

    ' Property Defaults
    Public Const DefaultImageDirectory As String = "images/webgrid/pager/"
    Public Const DefaultPageCount As Integer = 0
    Public Const DefaultPageCountFormat As String = "&nbsp;of&nbsp;{0}"
    Public Const DefaultPageLabel As String = "Page&nbsp;"
    Public Const DefaultPageSizeLabel As String = "Rows:&nbsp;"
    Public Const DefaultPageSize As Integer = 20
    Public Const DefaultShowViews As Boolean = True
    Public Const DefaultShowExport As Boolean = True
    Public Const DefaultViewLabel As String = "&nbsp;View:&nbsp;"

    ' Default CssClasses
    Public Const DefaultCssClass As String = "gridpager"
    Public Const DefaultButtonCssClass As String = "gridpagerbutton"
    Public Const DefaultButtonDisabledCssClass As String = "gridpagerbuttondisabled"
    Public Const DefaultButtonHoverCssClass As String = "gridpagerbuttonhover"
    Public Const DefaultButtonPressedCssClass As String = "gridbuttonpressed"
    Public Const DefaultDropDownListCssClass As String = "gridpagerdropdownlist"
    Public Const DefaultLabelCssClass As String = "gridpagerlabel"

    ' Export to Excel Defaults
    Public Const DefaultExportToExcelDisabledImage As String = "DisabledExportToExcel.gif"
    Public Const DefaultExportToExcelHoverImage As String = ""
    Public Const DefaultExportToExcelImage As String = "ExportToExcel.gif"
    Public Const DefaultExportToExcelPressedImage As String = ""
    Public Const DefaultExportToExcelToolTip As String = "Export To Excel"

    ' First Page Defaults
    Public Const DefaultFirstDisabledImage As String = "DisabledFirst.gif"
    Public Const DefaultFirstHoverImage As String = ""
    Public Const DefaultFirstImage As String = "First.gif"
    Public Const DefaultFirstPressedImage As String = ""
    Public Const DefaultFirstToolTip As String = "First Page"


    ' Last Page Defaults
    Public Const DefaultLastDisabledImage As String = "DisabledLast.gif"
    Public Const DefaultLastHoverImage As String = ""
    Public Const DefaultLastImage As String = "Last.gif"
    Public Const DefaultLastPressedImage As String = ""
    Public Const DefaultLastToolTip As String = "Last Page"

    ' Next Page Defaults
    Public Const DefaultNextDisabledImage As String = "DisabledNext.gif"
    Public Const DefaultNextHoverImage As String = ""
    Public Const DefaultNextImage As String = "Next.gif"
    Public Const DefaultNextPressedImage As String = ""
    Public Const DefaultNextToolTip As String = "Next Page"

    ' Previous Page Defaults
    Public Const DefaultPreviousDisabledImage As String = "DisabledPrevious.gif"
    Public Const DefaultPreviousHoverImage As String = ""
    Public Const DefaultPreviousImage As String = "Previous.gif"
    Public Const DefaultPreviousPressedImage As String = ""
    Public Const DefaultPreviousToolTip As String = "Previous Page"

End Class
