﻿#Region " Imports "
Imports System
Imports System.Collections.Generic
#End Region

Public Class GridPagerSettingsChangedEventArgs
    Inherits System.EventArgs
#Region " Declarations "
    Private m_PageNumber As Integer
    Private m_PageSize As Integer
    Private m_TotalNumberOfPages As Integer
#End Region

#Region " Properties "
    Public Property PageNumber() As Integer
        Get
            Return m_PageNumber
        End Get
        Set(value As Integer)
            m_PageNumber = value
        End Set
    End Property

    Public Property PageSize() As Integer
        Get
            Return m_PageSize
        End Get
        Set(value As Integer)
            m_PageSize = value
        End Set
    End Property

    Public Property TotalNumberOfPages() As Integer
        Get
            Return m_TotalNumberOfPages
        End Get
        Set(value As Integer)
            m_TotalNumberOfPages = value
        End Set
    End Property

    Public ReadOnly Property PageIndex() As Integer
        Get
            Return Me.PageNumber - 1
        End Get
    End Property
#End Region

#Region " Constructor "
    Public Sub New()
    End Sub
#End Region
End Class
